Skip to main content
POST
/
v1
/
offers
/
{offerId}
/
reject
Reject an offer
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reason: '<string>'})
};

fetch('https://sandbox.api.enfinitos.com/v1/offers/{offerId}/reject', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "ok": true,
  "data": {
    "offer": {
      "id": "<string>",
      "fromOrgId": "<string>",
      "toOrgId": "<string>",
      "rightId": "<string>",
      "scope": "<string>",
      "termsRef": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z",
      "derivedRightId": "<string>",
      "contentHash": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  },
  "contractVersion": "<string>"
}

Authorizations

Authorization
string
header
required

API key sent as Authorization: Bearer <api-key>.

Path Parameters

offerId
string
required

Offer id.

Body

application/json
reason
string
required

Audit-quality justification.

Required string length: 1 - 500

Response

The rejected offer.

ok
boolean
required
data
object
required

Route-specific payload. Operation responses refine this.

contractVersion
string
required
Allowed value: "v1.0"